Source: haskell-hopenpgp
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-aeson-dev,
 libghc-aeson-prof,
 libghc-asn1-encoding-dev,
 libghc-asn1-encoding-prof,
 libghc-attoparsec-dev,
 libghc-attoparsec-prof,
 libghc-base16-bytestring-dev,
 libghc-base16-bytestring-prof,
 libghc-bifunctors-dev,
 libghc-bifunctors-prof,
 libghc-binary-conduit-dev (>= 1.3),
 libghc-binary-conduit-prof,
 libghc-bz2-dev,
 libghc-bz2-prof,
 libghc-conduit-dev (>= 1.3.0),
 libghc-conduit-prof,
 libghc-conduit-extra-dev (>= 1.1),
 libghc-conduit-extra-prof,
 libghc-conduit-prof,
 libghc-crypto-cipher-types-dev,
 libghc-crypto-cipher-types-prof,
 libghc-cryptonite-dev (>= 0.11),
 libghc-cryptonite-prof,
 libghc-errors-dev,
 libghc-errors-prof,
 libghc-hashable-dev,
 libghc-hashable-prof,
 libghc-incremental-parser-dev,
 libghc-incremental-parser-prof,
 libghc-ixset-typed-dev,
 libghc-ixset-typed-prof,
 libghc-lens-dev (>= 3.0),
 libghc-lens-prof,
 libghc-memory-dev,
 libghc-memory-prof,
 libghc-monad-loops-dev,
 libghc-monad-loops-prof,
 libghc-nettle-dev,
 libghc-nettle-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
 libghc-openpgp-asciiarmor-dev (>= 0.1),
 libghc-openpgp-asciiarmor-prof,
 libghc-prettyprinter-dev,
 libghc-prettyprinter-prof,
 libghc-resourcet-dev (>> 0.4),
 libghc-resourcet-prof,
 libghc-split-dev,
 libghc-split-prof,
 libghc-tasty-dev,
 libghc-tasty-hunit-dev,
 libghc-tasty-quickcheck-dev,
 libghc-time-locale-compat-dev,
 libghc-time-locale-compat-prof,
 libghc-unliftio-core-dev,
 libghc-unliftio-core-prof,
 libghc-unordered-containers-dev,
 libghc-unordered-containers-prof,
 libghc-zlib-dev,
 libghc-zlib-prof,
 libghc-quickcheck2-dev (>> 2.9),
 libghc-quickcheck2-prof,
 libghc-conduit-dev (>= 1.3),
 libghc-conduit-extra-dev,
 libghc-network-dev (>= 2.6),
 libghc-quickcheck-instances-dev,
 libghc-tasty-dev,
 libghc-tasty-hunit-dev,
 libghc-tasty-quickcheck-dev,
Build-Depends-Indep: ghc-doc,
 libghc-aeson-doc,
 libghc-asn1-encoding-doc,
 libghc-attoparsec-doc,
 libghc-base16-bytestring-doc,
 libghc-bifunctors-doc,
 libghc-binary-conduit-doc,
 libghc-bz2-doc,
 libghc-conduit-doc,
 libghc-conduit-extra-doc,
 libghc-crypto-cipher-types-doc,
 libghc-cryptonite-doc,
 libghc-errors-doc,
 libghc-hashable-doc,
 libghc-incremental-parser-doc,
 libghc-ixset-typed-doc,
 libghc-lens-doc,
 libghc-memory-doc,
 libghc-monad-loops-doc,
 libghc-nettle-doc,
 libghc-network-uri-doc,
 libghc-openpgp-asciiarmor-doc,
 libghc-prettyprinter-doc,
 libghc-resourcet-doc,
 libghc-split-doc,
 libghc-time-locale-compat-doc,
 libghc-unliftio-core-doc,
 libghc-unordered-containers-doc,
 libghc-zlib-doc,
Standards-Version: 4.1.5
Homepage: https://salsa.debian.org/clint/hOpenPGP
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-hopenpgp
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-hopenpgp]

Package: libghc-hopenpgp-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: implementation of OpenPGP (RFC4880)
 This is a native Haskell implementation of OpenPGP (RFC4880),
 including message format serialization and some cryptographic
 operations.
 .
 This package contains the normal library files.

Package: libghc-hopenpgp-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: OpenPGP (RFC4880); profiling libraries
 This is a native Haskell implementation of OpenPGP (RFC4880),
 including message format serialization and some cryptographic
 operations.
 .
 This package contains the libraries compiled with profiling enabled.

Package: libghc-hopenpgp-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: implementation of OpenPGP (RFC4880); documentation
 This is a native Haskell implementation of OpenPGP (RFC4880),
 including message format serialization and some cryptographic
 operations.
 .
 This package contains the documentation files.
